#!/usr/bin/env python
import coral
from coral.modeler.extension import *


l = coral.Language.__getLanguage__("UML", 1, 4)
   
dict={}

dict[l.getElement("Class")]="Hej"

l=None

l = coral.Language.__getLanguage__("XMIDI", 2, 0)

#l = coral.Language.__getLanguage__("UML", 1, 4)
s=coral.loadDocument("../../../qa/models2import/Softsale.xmi")

print dict[fromFullElementName2AbstractElementDefinition("UML.1.4::Class")]

for r in s.contents():
    for e in r.__getAllParts__():
        if e.__type__().getName()=="Class":
            print e
            print dict[e.__type__()]
